List rulesets
Returns a cursor-paginated page of moderation rulesets for the authenticated organization.
Returns a cursor-paginated page of moderation rulesets for the authenticated organization.
Authorization
bearerAuth AuthorizationBearer <token>
API key
In: header
Query Parameters
limit?integer
Maximum number of items to return. Defaults to 50, max 200.
Range
1 <= value <= 200cursor?string
Opaque pagination cursor. Pass back the next_cursor value from a previous response.
Length
1 <= lengthResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/moderation/rulesets" \ -H "Authorization: Bearer $SPEECHBASE_API_KEY"{
"data": [
{
"id": "string",
"org_id": "string",
"name": "string",
"description": "string",
"is_default": true,
"config": {
"version": 1,
"fail_mode": "open",
"evaluators": {
"openai_moderation": {
"model": "omni-moderation-latest",
"categories": {
"sexual": null,
"sexual/minors": null,
"hate": null,
"hate/threatening": null,
"harassment": null,
"harassment/threatening": null,
"self-harm": null,
"self-harm/intent": null,
"self-harm/instructions": null,
"violence": null,
"violence/graphic": null,
"illicit": null,
"illicit/violent": null
}
},
"custom_rules": {
"model": "openai/gpt-5.4-nano",
"rules": []
}
}
},
"created_at": "string",
"updated_at": "string"
}
],
"next_cursor": "string",
"has_more": true,
"limit": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}